%define url_ver %(echo %{version} | cut -d. -f1,2)

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary: 	Notification daemon for Xfce desktop environment
Name: 		xfce4-notifyd
Version: 	0.9.4
Release: 	%mkrel 1
License:	GPLv3
Group: 		Graphical desktop/XFCE
URL:		https://docs.xfce.org/apps/notifyd/start
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: intltool
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel 
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64notify-devel 
BuildRequires: lib64pango1.0-devel 
BuildRequires: lib64x11-devel 
BuildRequires: lib64xfce4panel2.0-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64xfce4util-devel 
BuildRequires: lib64xfconf-devel

Obsoletes: xfce4-notifyd-plugin
Provides:  %{name}-plugin = %{version}-%{release}

%description
Xfce4-notifyd is a simple, visually-appealing notification daemon for
Xfce that implements the Freedesktop.org Desktop Notifications
Specification.

Apart from the notification server a panel plugin is included which
shows recent notifications in a dropdown menu in the Xfce Panel.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-dbus-start-daemon \
	--disable-old-notification-closed-signature \
	--enable-old-get-server-information-signature	

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/xfce4-notifyd-config
%{_libdir}/xfce4/notifyd
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_iconsdir}
%{_datadir}/themes/*/
%{_mandir}
%{_libdir}/xfce4/panel/plugins/libnotification-plugin.so
%{_datadir}/xfce4/panel/plugins/notification-plugin.desktop
%{_prefix}/lib/systemd/user/xfce4-notifyd.service

%changelog
* Sat Feb 10 2024 tex - 0.9.4-1pclos2024
- new version

* Wed Sep 27 2023 tex - 0.9.2-1pclos2023
- new version

* Tue Feb 28 2023 tex - 0.8.2-1pclos2023
- new version

* Fri Feb 17 2023 tex - 0.8.1-1pclos2023
- new version

* Sat Feb 11 2023 tex - 0.8.0-1pclos2023
- new version

* Mon Feb 06 2023 tex - 0.7.3-1pclos2023
- new version

* Sun Jan 22 2023 tex - 0.7.2-1pclos2023
- new version

* Sat Jan 21 2023 tex - 0.7.1-1pclos2023
- new version

* Fri Dec 16 2022 tex - 0.6.5-1pclos2022
- new version

* Sun Dec 27 2020 tex - 0.6.2-3pclos2020
- add obsoletes and provides

* Sat Dec 26 2020 tex - 0.6.2-2pclos2020
- rebuild with updated specfile
